<template>
  <div id="container"
       class=''>
    <h1 @click="num ++">三级路由</h1>
    <router-link to="/tab/one/third1">one</router-link>|
    <router-link to="/tab/two">two</router-link>|
    <router-link to="/app-vue">app-vue</router-link>
    <router-link to="/app-vue/about">app-vue about page</router-link>
    <router-view></router-view>
  </div>
</template>

<script>
import { myStore } from '../common/myStore';
export default {
  data() {
    return {
      num: 0
    };
  },
  computed: {
    userInfo() {
      return myStore.userInfo;
    }
  },
  methods: {
    f() {
      console.log('子组件更新');
    }
  },
  mounted() {
    // this.$on('hook:updated', () => {
    //   console.log('-----');
    // });
  }
};
</script>
<style lang='less' scoped>
</style>
